Set a thread's reply stage
curl --request POST \
--url https://api.salessequencer.com/api/v1/inbox/thread/{thread_id}/stage \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"stage": "<string>"
}
'import requests
url = "https://api.salessequencer.com/api/v1/inbox/thread/{thread_id}/stage"
payload = { "stage": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage: '<string>'})
};
fetch('https://api.salessequencer.com/api/v1/inbox/thread/{thread_id}/stage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Inbox
Set a thread's reply stage
Manually sets the matched contact’s reply stage. Always allowed (overrides the classifier). Does not fire the campaign_reply webhook. Refuses with flash when the stage is invalid or the thread is not matched to a campaign contact.
Minimum role: edit (x-min-role). Destructive: false (x-destructive).
POST
/
inbox
/
thread
/
{thread_id}
/
stage
Set a thread's reply stage
curl --request POST \
--url https://api.salessequencer.com/api/v1/inbox/thread/{thread_id}/stage \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"stage": "<string>"
}
'import requests
url = "https://api.salessequencer.com/api/v1/inbox/thread/{thread_id}/stage"
payload = { "stage": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage: '<string>'})
};
fetch('https://api.salessequencer.com/api/v1/inbox/thread/{thread_id}/stage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Path Parameters
Body
application/json
One of: interested, meeting_request, not_interested, objection, pricing_question, more_info_needed, timing_issue, wrong_person, out_of_office, automated, unsubscribe, unclassified.
Response
200
Redirect to the thread; flash 'Marked as .' or the refusal.